Bug 28438 - Capitalization: Various corrections
Summary: Capitalization: Various corrections
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-24 15:28 UTC by Owen Leonard
Modified: 2021-10-08 13:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug 28438: Capitalization: Various corrections (53.34 KB, patch)
2021-09-17 18:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28438: Capitalization: Various corrections (53.39 KB, patch)
2021-09-18 22:00 UTC, David Nind
Details | Diff | Splinter Review
Bug 28438: (follow-up) Capitalization: Various corrections (1.12 KB, patch)
2021-09-18 22:00 UTC, David Nind
Details | Diff | Splinter Review
Bug 28438: Capitalization: Various corrections (53.55 KB, patch)
2021-09-24 15:14 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28438: (follow-up) Capitalization: Various corrections (1.19 KB, patch)
2021-09-24 15:14 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-05-24 15:28:42 UTC
I did a search for capitalization errors in the templates and found many.
Comment 1 Owen Leonard 2021-09-17 18:50:37 UTC
Created attachment 125015 [details] [review]
Bug 28438: Capitalization: Various corrections

This patch makes capitalization corrections to many templates in the
OPAC and staff interface. A exhaustive test plan would be huge, so I
recommend examining the patch to confirm that it contains correct case
changes.

If you want to make it easier to examine changes you can try:
https://github.com/so-fancy/diff-so-fancy
Comment 2 David Nind 2021-09-18 22:00:35 UTC
Created attachment 125029 [details] [review]
Bug 28438: Capitalization: Various corrections

This patch makes capitalization corrections to many templates in the
OPAC and staff interface. A exhaustive test plan would be huge, so I
recommend examining the patch to confirm that it contains correct case
changes.

If you want to make it easier to examine changes you can try:
https://github.com/so-fancy/diff-so-fancy

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-09-18 22:00:40 UTC
Created attachment 125030 [details] [review]
Bug 28438: (follow-up) Capitalization: Various corrections

One mdditional correction.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2021-09-18 22:01:55 UTC
Thanks Owen - some nice tidy-ups!

Testing notes:
- Reviewed diff in browser
Comment 5 Martin Renvoize 2021-09-24 15:14:24 UTC
Created attachment 125261 [details] [review]
Bug 28438: Capitalization: Various corrections

This patch makes capitalization corrections to many templates in the
OPAC and staff interface. A exhaustive test plan would be huge, so I
recommend examining the patch to confirm that it contains correct case
changes.

If you want to make it easier to examine changes you can try:
https://github.com/so-fancy/diff-so-fancy

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-09-24 15:14:27 UTC
Created attachment 125262 [details] [review]
Bug 28438: (follow-up) Capitalization: Various corrections

One mdditional correction.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2021-09-24 15:14:58 UTC
Excellent work.. scald the devs for getting them wrong in the first place (that probably includes me :( )

Passing QA
Comment 8 Jonathan Druart 2021-09-28 13:38:14 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Kyle M Hall 2021-10-08 13:22:56 UTC
Pushed to 21.05.x for 21.05.05